/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\weapons\MagmaStaff.cs
Lines of code: 33
***********************************************************/


using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	public class MagmaStaff : BlackStaff
	{

		[Constructable]
		public MagmaStaff()
		{
			Hue = 1259;
			Name = "magma staff";
			WeaponAttributes.HitFireball = 1 * Utility.RandomMinMax( 1, 100 );
			Attributes.WeaponDamage = 1 * Utility.RandomMinMax( 1, 50 );
			Attributes.SpellChanneling = 1;
			WeaponAttributes.MageWeapon = Utility.RandomMinMax( 15, 30 );

			AosElementDamages[AosElementAttribute.Fire] = 40 + (6 * Utility.RandomMinMax( 0, 10 ));

		}

		public MagmaStaff( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
